%{!?bootstrap: %define bootstrap 0}
%define with_pam 1

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	Library for getting and setting POSIX.1e capabilities
Name:      	libcap
Version:   	2.21
Release:   	1
License: 	GNU/GPL
Url:		ftp://ftp.kernel.org/pub/linux/libs/security/linux-privs/libcap2
Group:     	System/Libraries
Source0: 	http://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%if !%{bootstrap}
%if %{with_pam}
BuildRequires:	pam-devel
%endif
%endif

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libattr-devel

%description
libcap is a library for getting and setting POSIX.1e (formerly POSIX 6)
draft 15 capabilities.

%package devel
Summary: 	libcap development headers.
Group:     	System/Libraries
Requires: 	libcap = %{version}

%description devel
Header and include files for developing applications with libcap.

%post 
/sbin/ldconfig
/sbin/setcap cap_setfcap=i /sbin/setcap

%postun 
/sbin/ldconfig

%prep
%setup -q -n libcap-%{version}

%build
%ifarch i686
sed -i "/^lib=/s:=.*:=lib:" Make.Rules &&
make CC="gcc -m32" LD="gcc -shared -m32"
%endif
%ifarch x86_64
sed -i "/^lib=/s:=.*:=lib64:" Make.Rules &&
make CC="gcc -m64" LD="gcc -shared -m64"
%endif

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT} RAISE_SETFCAP=no 

chmod -v 755 ${RPM_BUILD_ROOT}/%{_lib}/libcap.so.%{version} &&
mkdir -p ${RPM_BUILD_ROOT}%{_libdir} &&
mv -v ${RPM_BUILD_ROOT}/%{_lib}/libcap.a ${RPM_BUILD_ROOT}%{_libdir} &&
rm ${RPM_BUILD_ROOT}/%{_lib}/libcap.so &&
ln -sfv ../../%{_lib}/libcap.so.2 ${RPM_BUILD_ROOT}%{_libdir}/libcap.so

%files
%defattr(-,root,root)
/sbin/capsh
/sbin/getcap
/sbin/getpcaps
/sbin/setcap
/%{_lib}/libcap.so.*
%{_mandir}/man1/capsh.1.gz
%{_mandir}/man8/getcap.8.gz
%{_mandir}/man8/setcap.8.gz
%if %{with_pam}
/%{_lib}/security/pam_cap.so
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/sys/capability.h
%{_libdir}/libcap.a
%{_libdir}/libcap.so
%{_mandir}/man3/cap_clear.3.gz
%{_mandir}/man3/cap_clear_flag.3.gz
%{_mandir}/man3/cap_compare.3.gz
%{_mandir}/man3/cap_copy_ext.3.gz
%{_mandir}/man3/cap_copy_int.3.gz
%{_mandir}/man3/cap_drop_bound.3.gz
%{_mandir}/man3/cap_dup.3.gz
%{_mandir}/man3/cap_free.3.gz
%{_mandir}/man3/cap_from_name.3.gz
%{_mandir}/man3/cap_from_text.3.gz
%{_mandir}/man3/cap_get_bound.3.gz
%{_mandir}/man3/cap_get_fd.3.gz
%{_mandir}/man3/cap_get_file.3.gz
%{_mandir}/man3/cap_get_flag.3.gz
%{_mandir}/man3/capgetp.3.gz
%{_mandir}/man3/cap_get_pid.3.gz
%{_mandir}/man3/cap_get_proc.3.gz
%{_mandir}/man3/cap_init.3.gz
%{_mandir}/man3/cap_set_fd.3.gz
%{_mandir}/man3/cap_set_file.3.gz
%{_mandir}/man3/cap_set_flag.3.gz
%{_mandir}/man3/capsetp.3.gz
%{_mandir}/man3/cap_set_proc.3.gz
%{_mandir}/man3/cap_size.3.gz
%{_mandir}/man3/cap_to_name.3.gz
%{_mandir}/man3/cap_to_text.3.gz
%{_mandir}/man3/libcap.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jun 20 2011 Karsten Brockmann <arcam@ccux-linux.de> 2.21-1
- version update, prepared for ccux-ng
* Sat Jan 09 2010 Christian Wasem <arcam@ccux-linux.de> 2.18-2
- removed rpm as a require
* Thu Jan 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.18-1
- version update
* Wed Jul 29 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.16-1
- version update
* Sat Jul 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-2
- removed fake provide libcap.so.1
* Fri Jul 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.11-1
- version update
* Wed Jan 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.10-1
- Initial Release
